import { DefaultTripletexInputs } from '../../types';
import { TripletexBase } from '../base';
export * from './models/activity';
export interface ListActivityInput extends DefaultTripletexInputs {
    /**
     * List of IDs
     */
    id?: string[];
    /**
     * Containing
     */
    name?: string;
    /**
     * Equals
     */
    number?: string;
    /**
     * Containing
     */
    description?: string;
    isProjectActivity?: boolean;
    isGeneral?: boolean;
    isChargeable?: boolean;
    isTask?: boolean;
    isInactive?: boolean;
}
export declare class TripletexActivity extends TripletexBase {
    list(input?: ListActivityInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            number: string;
            id: number;
            name: string;
            description: string;
            activityType: "GENERAL_ACTIVITY" | "PROJECT_GENERAL_ACTIVITY" | "PROJECT_SPECIFIC_ACTIVITY" | "TASK";
            isProjectActivity: boolean;
            isGeneral: boolean;
            isTask: boolean;
            isDisabled: boolean;
            isChargeable: boolean;
            rate: number;
            costPercentage: number;
            displayName: string;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
