import * as rt from 'runtypes';
declare const activityRt: rt.Record<{
    id: rt.Number;
    name: rt.String;
    number: rt.String;
    description: rt.String;
    activityType: rt.Union<[rt.Literal<"GENERAL_ACTIVITY">, rt.Literal<"PROJECT_GENERAL_ACTIVITY">, rt.Literal<"PROJECT_SPECIFIC_ACTIVITY">, rt.Literal<"TASK">]>;
    isProjectActivity: rt.Boolean;
    isGeneral: rt.Boolean;
    isTask: rt.Boolean;
    isDisabled: rt.Boolean;
    isChargeable: rt.Boolean;
    rate: rt.Number;
    costPercentage: rt.Number;
    displayName: rt.String;
}, false>;
export declare type Activity = rt.Static<typeof activityRt>;
export declare const listActivityResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        number: string;
        id: number;
        name: string;
        description: string;
        activityType: "GENERAL_ACTIVITY" | "PROJECT_GENERAL_ACTIVITY" | "PROJECT_SPECIFIC_ACTIVITY" | "TASK";
        isProjectActivity: boolean;
        isGeneral: boolean;
        isTask: boolean;
        isDisabled: boolean;
        isChargeable: boolean;
        rate: number;
        costPercentage: number;
        displayName: string;
    }>, true>;
}, false, true>;
export {};
