/// <reference types="node" />
import { CallReturn, TypicalHttpError } from 'typical-fetch';
import { TripletexClientConfig } from '../types';
export declare abstract class TripletexBase {
    readonly config: TripletexClientConfig;
    private sessionToken?;
    private readonly tokenClient;
    constructor(config: TripletexClientConfig, sessionToken?: string | undefined);
    protected authenticatedCall(): import("typical-fetch").CallBuilder<void, Omit<Readonly<{
        baseUrl: string | import("url").URL;
    } & {
        sessionToken: string;
    }>, "baseUrl">, import("typical-fetch").TypicalWrappedError | TypicalHttpError>;
    protected unauthenticatedCall(): import("typical-fetch").CallBuilder<void, Omit<{
        baseUrl: string | import("url").URL;
    }, "baseUrl">, import("typical-fetch").TypicalWrappedError | TypicalHttpError>;
    protected performRequest<R, E>(call: (sessionToken: string) => Promise<CallReturn<R, E>>): Promise<CallReturn<R, E>>;
    private getToken;
}
