import { TripletexBase } from '../base';
import { ListCustomersInput } from './types';
export * from './types';
export * from './models/customer';
export declare class TripletexCustomer extends TripletexBase {
    list(input?: ListCustomersInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            name: string;
            isInactive: boolean;
            isSupplier: boolean;
            language: "NO" | "EN" | "SV";
            invoiceSendMethod: "EMAIL" | "EHF" | "EFAKTURA" | "VIPPS" | "PAPER" | "MANUAL";
            emailAttachmentType: "LINK" | "ATTACHMENT";
            invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
            isCustomer: boolean;
            description?: string | null | undefined;
            version?: number | null | undefined;
            organizationNumber?: string | null | undefined;
            supplierNumber?: number | null | undefined;
            customerNumber?: number | null | undefined;
            accountManager?: {
                id: number;
            } | null | undefined;
            email?: string | null | undefined;
            invoiceEmail?: string | null | undefined;
            overdueNoticeEmail?: string | null | undefined;
            bankAccounts?: string[] | null | undefined;
            phoneNumber?: string | null | undefined;
            phoneNumberMobile?: string | null | undefined;
            isPrivateIndividual?: boolean | null | undefined;
            singleCustomerInvoice?: boolean | null | undefined;
            postalAddress?: {
                id: number;
            } | null | undefined;
            physicalAddress?: {
                id: number;
            } | null | undefined;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            category1?: {
                number?: string | null | undefined;
                id?: number | null | undefined;
                name?: string | null | undefined;
                description?: string | null | undefined;
                version?: number | null | undefined;
                type?: number | null | undefined;
            } | null | undefined;
            category2?: {
                number?: string | null | undefined;
                id?: number | null | undefined;
                name?: string | null | undefined;
                description?: string | null | undefined;
                version?: number | null | undefined;
                type?: number | null | undefined;
            } | null | undefined;
            category3?: {
                number?: string | null | undefined;
                id?: number | null | undefined;
                name?: string | null | undefined;
                description?: string | null | undefined;
                version?: number | null | undefined;
                type?: number | null | undefined;
            } | null | undefined;
            invoicesDueIn?: number | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            bankAccountPresentation?: {
                iban?: string | null | undefined;
                bban?: string | null | undefined;
                bic?: string | null | undefined;
                country?: {
                    id: number;
                } | null | undefined;
                provider?: "NETS" | "AUTOPAY" | null | undefined;
            }[] | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
