import * as rt from 'runtypes';
declare const customerRt: rt.Record<{
    id: rt.Number;
    version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    name: rt.String;
    organizationNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    supplierNumber: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    customerNumber: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    isSupplier: rt.Boolean;
    accountManager: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    email: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    invoiceEmail: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    overdueNoticeEmail: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    bankAccounts: rt.Optional<rt.Union<[rt.Array<rt.String, false>, rt.Literal<null>]>>;
    phoneNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberMobile: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    description: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    language: rt.Union<[rt.Literal<"NO">, rt.Literal<"EN">, rt.Literal<"SV">]>;
    isPrivateIndividual: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
    singleCustomerInvoice: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
    invoiceSendMethod: rt.Union<[rt.Literal<"EMAIL">, rt.Literal<"EHF">, rt.Literal<"EFAKTURA">, rt.Literal<"VIPPS">, rt.Literal<"PAPER">, rt.Literal<"MANUAL">]>;
    emailAttachmentType: rt.Union<[rt.Literal<"LINK">, rt.Literal<"ATTACHMENT">]>;
    postalAddress: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    physicalAddress: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    deliveryAddress: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    category1: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        name: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        number: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        description: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        type: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    }, false>, rt.Literal<null>]>>;
    category2: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        name: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        number: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        description: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        type: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    }, false>, rt.Literal<null>]>>;
    category3: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        name: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        number: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        description: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        type: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    }, false>, rt.Literal<null>]>>;
    invoicesDueIn: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    invoicesDueInType: rt.Union<[rt.Literal<"DAYS">, rt.Literal<"MONTHS">, rt.Literal<"RECURRING_DAY_OF_MONTH">]>;
    currency: rt.Optional<rt.Union<[rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>, rt.Literal<null>]>>;
    bankAccountPresentation: rt.Optional<rt.Union<[rt.Array<rt.Record<{
        iban: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        bban: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        bic: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        country: rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>;
        provider: rt.Optional<rt.Union<[rt.Union<[rt.Literal<"NETS">, rt.Literal<"AUTOPAY">]>, rt.Literal<null>]>>;
    }, false>, false>, rt.Literal<null>]>>;
    isCustomer: rt.Boolean;
    isInactive: rt.Boolean;
}, false>;
export declare type Customer = rt.Static<typeof customerRt>;
export declare const listCustomerResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        name: string;
        isInactive: boolean;
        isSupplier: boolean;
        language: "NO" | "EN" | "SV";
        invoiceSendMethod: "EMAIL" | "EHF" | "EFAKTURA" | "VIPPS" | "PAPER" | "MANUAL";
        emailAttachmentType: "LINK" | "ATTACHMENT";
        invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
        isCustomer: boolean;
        description?: string | null | undefined;
        version?: number | null | undefined;
        organizationNumber?: string | null | undefined;
        supplierNumber?: number | null | undefined;
        customerNumber?: number | null | undefined;
        accountManager?: {
            id: number;
        } | null | undefined;
        email?: string | null | undefined;
        invoiceEmail?: string | null | undefined;
        overdueNoticeEmail?: string | null | undefined;
        bankAccounts?: string[] | null | undefined;
        phoneNumber?: string | null | undefined;
        phoneNumberMobile?: string | null | undefined;
        isPrivateIndividual?: boolean | null | undefined;
        singleCustomerInvoice?: boolean | null | undefined;
        postalAddress?: {
            id: number;
        } | null | undefined;
        physicalAddress?: {
            id: number;
        } | null | undefined;
        deliveryAddress?: {
            id: number;
        } | null | undefined;
        category1?: {
            number?: string | null | undefined;
            id?: number | null | undefined;
            name?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            type?: number | null | undefined;
        } | null | undefined;
        category2?: {
            number?: string | null | undefined;
            id?: number | null | undefined;
            name?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            type?: number | null | undefined;
        } | null | undefined;
        category3?: {
            number?: string | null | undefined;
            id?: number | null | undefined;
            name?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            type?: number | null | undefined;
        } | null | undefined;
        invoicesDueIn?: number | null | undefined;
        currency?: {
            id: number;
        } | null | undefined;
        bankAccountPresentation?: {
            iban?: string | null | undefined;
            bban?: string | null | undefined;
            bic?: string | null | undefined;
            country?: {
                id: number;
            } | null | undefined;
            provider?: "NETS" | "AUTOPAY" | null | undefined;
        }[] | null | undefined;
    }>, true>;
}, false, true>;
export {};
