"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listCustomerResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
// const addressRt = rt.Record({
//   id: rt.Number,
//   version: rt.Number,
//   employee: resourceRef,
//   addressLine1: rt.String,
//   addressLine2: rt.String,
//   postalCode: rt.String,
//   city: rt.String,
//   country: resourceRef,
//   name: rt.String.optional(),
// });
const customerCategoryRt = rt.Record({
    id: rt.Number.nullable().optional(),
    version: rt.Number.nullable().optional(),
    name: rt.String.nullable().optional(),
    number: rt.String.nullable().optional(),
    description: rt.String.nullable().optional(),
    type: rt.Number.nullable().optional(),
});
const companyBankAccountPresentationRt = rt.Record({
    iban: rt.String.nullable().optional(),
    bban: rt.String.nullable().optional(),
    bic: rt.String.nullable().optional(),
    country: utils_1.resourceRef,
    provider: rt
        .Union(rt.Literal('NETS'), rt.Literal('AUTOPAY'))
        .nullable()
        .optional(),
});
const customerRt = rt.Record({
    id: rt.Number,
    version: rt.Number.nullable().optional(),
    // changes: rt.Array(changeRt),
    name: rt.String,
    organizationNumber: rt.String.nullable().optional(),
    supplierNumber: rt.Number.nullable().optional(),
    customerNumber: rt.Number.nullable().optional(),
    isSupplier: rt.Boolean,
    accountManager: utils_1.resourceRef,
    email: rt.String.nullable().optional(),
    invoiceEmail: rt.String.nullable().optional(),
    overdueNoticeEmail: rt.String.nullable().optional(),
    bankAccounts: rt.Array(rt.String).nullable().optional(),
    phoneNumber: rt.String.nullable().optional(),
    phoneNumberMobile: rt.String.nullable().optional(),
    description: rt.String.nullable().optional(),
    language: rt.Union(rt.Literal('NO'), rt.Literal('EN'), rt.Literal('SV')),
    isPrivateIndividual: rt.Boolean.nullable().optional(),
    singleCustomerInvoice: rt.Boolean.nullable().optional(),
    invoiceSendMethod: rt.Union(rt.Literal('EMAIL'), rt.Literal('EHF'), rt.Literal('EFAKTURA'), rt.Literal('VIPPS'), rt.Literal('PAPER'), rt.Literal('MANUAL')),
    emailAttachmentType: rt.Union(rt.Literal('LINK'), rt.Literal('ATTACHMENT')),
    postalAddress: utils_1.resourceRef,
    physicalAddress: utils_1.resourceRef,
    deliveryAddress: utils_1.resourceRef,
    category1: customerCategoryRt.nullable().optional(),
    category2: customerCategoryRt.nullable().optional(),
    category3: customerCategoryRt.nullable().optional(),
    invoicesDueIn: rt.Number.nullable().optional(),
    invoicesDueInType: rt.Union(rt.Literal('DAYS'), rt.Literal('MONTHS'), rt.Literal('RECURRING_DAY_OF_MONTH')),
    currency: utils_1.resourceRef.nullable().optional(),
    bankAccountPresentation: rt
        .Array(companyBankAccountPresentationRt)
        .nullable()
        .optional(),
    isCustomer: rt.Boolean,
    isInactive: rt.Boolean,
});
exports.listCustomerResponseRt = (0, utils_1.multipleValuesEnvelope)(customerRt);
