import { DefaultTripletexInputs } from '../../types';
import { TripletexBase } from '../base';
export * from './models/employee';
export interface ListEmployeesInput extends DefaultTripletexInputs {
    /**
     * List of IDs
     */
    id?: string[];
    /**
     * Containing
     */
    firstName?: string;
    /**
     * Containing
     */
    lastName?: string;
    /**
     * Containing
     */
    employeeNumber?: string;
    allowInformationRegistration?: boolean;
    includeContacts?: boolean;
    /**
     * List of IDs
     */
    deploymentId?: string[];
    onlyProjectManagers?: boolean;
    onlyContacts?: boolean;
    assignableProjectManagers?: boolean;
    /**
     * Equals
     */
    periodStart?: Date;
    /**
     * Equals
     */
    periodEnd?: Date;
    hasSystemAccess?: boolean;
}
export declare class TripletexEmployee extends TripletexBase {
    list(input?: ListEmployeesInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            firstName: string;
            lastName: string;
            internationalId: {
                number?: string | undefined;
                intAmeldingType?: "PASSPORT_NO" | "NATIONAL_INSURANCE_NO" | "TAX_IDENTIFICATION_NO" | "VALUE_ADDED_TAX_IDENTIFICATION_NO" | null | undefined;
            };
            displayName?: string | null | undefined;
            version?: number | null | undefined;
            iban?: string | null | undefined;
            bic?: string | null | undefined;
            email?: string | null | undefined;
            phoneNumberMobile?: string | null | undefined;
            employeeNumber?: string | null | undefined;
            dateOfBirth?: string | null | undefined;
            phoneNumberMobileCountry?: {
                id: number;
            } | null | undefined;
            phoneNumberHome?: string | null | undefined;
            phoneNumberWork?: string | null | undefined;
            nationalIdentityNumber?: string | null | undefined;
            dnumber?: string | null | undefined;
            bankAccountNumber?: string | null | undefined;
            creditorBankCountryId?: number | null | undefined;
            usesAbroadPayment?: boolean | null | undefined;
            userType?: "STANDARD" | "EXTENDED" | "NO_ACCESS" | null | undefined;
            comments?: string | null | undefined;
            employments?: {
                id: number;
            }[] | null | undefined;
            holidayAllowanceEarned?: {
                amount: number;
                amountExtraHolidayWeek: number;
                basis: number;
                year: number;
            } | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
