import * as rt from 'runtypes';
declare const employeeRt: rt.Record<{
    id: rt.Number;
    version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    firstName: rt.String;
    lastName: rt.String;
    displayName: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    employeeNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    dateOfBirth: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    email: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberMobileCountry: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    phoneNumberMobile: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberHome: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    phoneNumberWork: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    nationalIdentityNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    dnumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    internationalId: rt.Record<{
        number: rt.Optional<rt.String>;
        intAmeldingType: rt.Optional<rt.Union<[rt.Union<[rt.Literal<"PASSPORT_NO">, rt.Literal<"NATIONAL_INSURANCE_NO">, rt.Literal<"TAX_IDENTIFICATION_NO">, rt.Literal<"VALUE_ADDED_TAX_IDENTIFICATION_NO">]>, rt.Literal<null>]>>;
    }, false>;
    bankAccountNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    iban: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    bic: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    creditorBankCountryId: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    usesAbroadPayment: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
    userType: rt.Optional<rt.Union<[rt.Union<[rt.Literal<"STANDARD">, rt.Literal<"EXTENDED">, rt.Literal<"NO_ACCESS">]>, rt.Literal<null>]>>;
    comments: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    employments: rt.Optional<rt.Union<[rt.Array<rt.Record<{
        id: rt.Number;
    }, false>, false>, rt.Literal<null>]>>;
    holidayAllowanceEarned: rt.Optional<rt.Union<[rt.Record<{
        amount: rt.Number;
        amountExtraHolidayWeek: rt.Number;
        basis: rt.Number;
        year: rt.Number;
    }, false>, rt.Literal<null>]>>;
}, false>;
export declare type Employee = rt.Static<typeof employeeRt>;
export declare const listEmployeesResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        firstName: string;
        lastName: string;
        internationalId: {
            number?: string | undefined;
            intAmeldingType?: "PASSPORT_NO" | "NATIONAL_INSURANCE_NO" | "TAX_IDENTIFICATION_NO" | "VALUE_ADDED_TAX_IDENTIFICATION_NO" | null | undefined;
        };
        displayName?: string | null | undefined;
        version?: number | null | undefined;
        iban?: string | null | undefined;
        bic?: string | null | undefined;
        email?: string | null | undefined;
        phoneNumberMobile?: string | null | undefined;
        employeeNumber?: string | null | undefined;
        dateOfBirth?: string | null | undefined;
        phoneNumberMobileCountry?: {
            id: number;
        } | null | undefined;
        phoneNumberHome?: string | null | undefined;
        phoneNumberWork?: string | null | undefined;
        nationalIdentityNumber?: string | null | undefined;
        dnumber?: string | null | undefined;
        bankAccountNumber?: string | null | undefined;
        creditorBankCountryId?: number | null | undefined;
        usesAbroadPayment?: boolean | null | undefined;
        userType?: "STANDARD" | "EXTENDED" | "NO_ACCESS" | null | undefined;
        comments?: string | null | undefined;
        employments?: {
            id: number;
        }[] | null | undefined;
        holidayAllowanceEarned?: {
            amount: number;
            amountExtraHolidayWeek: number;
            basis: number;
            year: number;
        } | null | undefined;
    }>, true>;
}, false, true>;
export {};
