import { TripletexBase } from '../base';
import { CreateSubscriptionInput, ListSubscriptionsInput } from './types';
export * from './types';
export * from './models/subscription';
export declare class TripletexEvent extends TripletexBase {
    getSubscription(id: number): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            id: number;
            version: number;
            event: string;
            targetUrl: string;
            fields?: string | null | undefined;
            authHeaderName?: string | null | undefined;
            authHeaderValue?: string | null | undefined;
            status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    deleteSubscription(id: number): Promise<import("typical-fetch").CallReturn<void, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    listSubscriptions(input?: ListSubscriptionsInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            version: number;
            event: string;
            targetUrl: string;
            fields?: string | null | undefined;
            authHeaderName?: string | null | undefined;
            authHeaderValue?: string | null | undefined;
            status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    createSubscription(input: CreateSubscriptionInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            id: number;
            version: number;
            event: string;
            targetUrl: string;
            fields?: string | null | undefined;
            authHeaderName?: string | null | undefined;
            authHeaderValue?: string | null | undefined;
            status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
