"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexEvent = void 0;
const utils_1 = require("../../utils");
const base_1 = require("../base");
const subscription_1 = require("./models/subscription");
__exportStar(require("./types"), exports);
__exportStar(require("./models/subscription"), exports);
class TripletexEvent extends base_1.TripletexBase {
    getSubscription(id) {
        const call = this.authenticatedCall() //
            .args()
            .path(({ id }) => `/v2/event/subscription/${id}`)
            .method('get')
            .parseJson((0, utils_1.withRuntype)(subscription_1.getSubscriptionResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ id, sessionToken }));
    }
    deleteSubscription(id) {
        const call = this.authenticatedCall() //
            .args()
            .path(({ id }) => `/v2/event/subscription/${id}`)
            .method('delete')
            .build();
        return this.performRequest(sessionToken => call({ id, sessionToken }));
    }
    listSubscriptions(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/event/subscription')
            .query(args => (args.input ? (0, utils_1.serializeQuery)(args.input) : {}))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(subscription_1.listSubscriptionResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    createSubscription(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/event/subscription')
            .body(({ input }) => {
            const payload = input;
            if (input.fields) {
                payload.fields = (0, utils_1.toString)(input.fields);
            }
            return payload;
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(subscription_1.createSubscriptionResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
}
exports.TripletexEvent = TripletexEvent;
