import * as rt from 'runtypes';
declare const subscriptionRt: rt.Record<{
    id: rt.Number;
    version: rt.Number;
    event: rt.String;
    targetUrl: rt.String;
    fields: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    authHeaderName: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    authHeaderValue: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    status: rt.Optional<rt.Union<[rt.Union<[rt.Literal<"ACTIVE">, rt.Literal<"DISABLED">, rt.Literal<"DISABLED_TOO_MANY_ERRORS">, rt.Literal<"DISABLED_RATE_LIMIT_EXCEEDED">, rt.Literal<"DISABLED_MISUSE">]>, rt.Literal<null>]>>;
}, false>;
export declare type Subscription = rt.Static<typeof subscriptionRt>;
export declare const listSubscriptionResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        version: number;
        event: string;
        targetUrl: string;
        fields?: string | null | undefined;
        authHeaderName?: string | null | undefined;
        authHeaderValue?: string | null | undefined;
        status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
    }>, true>;
}, false, true>;
export declare const createSubscriptionResponseRt: rt.InternalRecord<{
    value: rt.Runtype<{
        id: number;
        version: number;
        event: string;
        targetUrl: string;
        fields?: string | null | undefined;
        authHeaderName?: string | null | undefined;
        authHeaderValue?: string | null | undefined;
        status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
    }>;
}, false, true>;
export declare const getSubscriptionResponseRt: rt.InternalRecord<{
    value: rt.Runtype<{
        id: number;
        version: number;
        event: string;
        targetUrl: string;
        fields?: string | null | undefined;
        authHeaderName?: string | null | undefined;
        authHeaderValue?: string | null | undefined;
        status?: "ACTIVE" | "DISABLED" | "DISABLED_TOO_MANY_ERRORS" | "DISABLED_RATE_LIMIT_EXCEEDED" | "DISABLED_MISUSE" | null | undefined;
    }>;
}, false, true>;
export {};
