import * as rt from 'runtypes';
export declare const ledgerAccountListRequest: rt.InternalRecord<{
    id: rt.String;
    number: rt.String;
    isBankAccount: rt.Boolean;
    isInactive: rt.Boolean;
    isApplicableForSupplierInvoice: rt.Boolean;
    ledgerType: rt.Union<[rt.Literal<"GENERAL">, rt.Literal<"CUSTOMER">, rt.Literal<"VENDOR">, rt.Literal<"EMPLOYEE">, rt.Literal<"ASSET">]>;
    isBalanceAccount: rt.Boolean;
    from: rt.Number;
    count: rt.Number;
    sorting: rt.String;
    fields: rt.String;
}, true, true>;
export declare const listResponseAccountRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id?: number | undefined;
        version?: number | undefined;
        number?: number | undefined;
        name?: string | undefined;
        description?: string | undefined;
        ledgerType?: "GENERAL" | "CUSTOMER" | "VENDOR" | "EMPLOYEE" | "ASSET" | undefined;
        vatLocked?: boolean | undefined;
        isCloseable?: boolean | undefined;
        isApplicableForSupplierInvoice?: boolean | undefined;
        requireReconciliation?: boolean | undefined;
        isInactive?: boolean | undefined;
        isBankAccount?: boolean | undefined;
        isInvoiceAccount?: boolean | undefined;
        bankAccountNumber?: string | undefined;
        bankName?: string | undefined;
        bankAccountIBAN?: string | undefined;
        bankAccountSWIFT?: string | undefined;
    }>, true>;
}, false, true>;
export declare type ListResponseAccount = rt.Static<typeof listResponseAccountRt>;
