import * as rt from 'runtypes';
export declare const orderLineRt: rt.Record<{
    id: rt.Number;
    version: rt.Number;
    product: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    description: rt.String;
    count: rt.Number;
    unitCostCurrency: rt.Number;
    unitPriceExcludingVatCurrency: rt.Number;
    markup: rt.Number;
    discount: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    vatType: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    order: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    unitPriceIncludingVatCurrency: rt.Number;
    isSubscription: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
    subscriptionPeriodStart: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    subscriptionPeriodEnd: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    orderGroup: rt.Optional<rt.Union<[rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>, rt.Literal<null>]>>;
    currency: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    amountExcludingVatCurrency: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    amountIncludingVatCurrency: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
}, false>;
export declare type OrderLine = rt.Static<typeof orderLineRt>;
export declare const createOrderLinesResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        count: number;
        id: number;
        description: string;
        version: number;
        unitCostCurrency: number;
        unitPriceExcludingVatCurrency: number;
        markup: number;
        unitPriceIncludingVatCurrency: number;
        currency?: {
            id: number;
        } | null | undefined;
        product?: {
            id: number;
        } | null | undefined;
        discount?: number | null | undefined;
        vatType?: {
            id: number;
        } | null | undefined;
        order?: {
            id: number;
        } | null | undefined;
        isSubscription?: boolean | null | undefined;
        subscriptionPeriodStart?: string | null | undefined;
        subscriptionPeriodEnd?: string | null | undefined;
        orderGroup?: {
            id: number;
        } | null | undefined;
        amountExcludingVatCurrency?: number | null | undefined;
        amountIncludingVatCurrency?: number | null | undefined;
    }>, true>;
}, false, true>;
export declare const createOrderLineResponseRt: rt.InternalRecord<{
    value: rt.Runtype<{
        count: number;
        id: number;
        description: string;
        version: number;
        unitCostCurrency: number;
        unitPriceExcludingVatCurrency: number;
        markup: number;
        unitPriceIncludingVatCurrency: number;
        currency?: {
            id: number;
        } | null | undefined;
        product?: {
            id: number;
        } | null | undefined;
        discount?: number | null | undefined;
        vatType?: {
            id: number;
        } | null | undefined;
        order?: {
            id: number;
        } | null | undefined;
        isSubscription?: boolean | null | undefined;
        subscriptionPeriodStart?: string | null | undefined;
        subscriptionPeriodEnd?: string | null | undefined;
        orderGroup?: {
            id: number;
        } | null | undefined;
        amountExcludingVatCurrency?: number | null | undefined;
        amountIncludingVatCurrency?: number | null | undefined;
    }>;
}, false, true>;
