import * as rt from 'runtypes';
declare const orderRt: rt.Record<{
    id: rt.Number;
    version: rt.Number;
    customer: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    contact: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    attn: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    receiverEmail: rt.String;
    overdueNoticeEmail: rt.String;
    number: rt.String;
    reference: rt.String;
    ourContact: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    ourContactEmployee: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    department: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    orderDate: rt.String;
    project: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    invoiceComment: rt.String;
    currency: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    invoicesDueIn: rt.Number;
    invoicesDueInType: rt.Union<[rt.Literal<"DAYS">, rt.Literal<"MONTHS">, rt.Literal<"RECURRING_DAY_OF_MONTH">]>;
    isShowOpenPostsOnInvoices: rt.Boolean;
    isClosed: rt.Boolean;
    deliveryDate: rt.String;
    deliveryAddress: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    deliveryComment: rt.String;
    isPrioritizeAmountsIncludingVat: rt.Boolean;
    orderLineSorting: rt.Union<[rt.Literal<"ID">, rt.Literal<"PRODUCT">, rt.Literal<"CUSTOM">]>;
    orderLines: rt.Array<rt.Record<{
        id: rt.Number;
        version: rt.Number;
        product: rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>;
        description: rt.String;
        count: rt.Number;
        unitCostCurrency: rt.Number;
        unitPriceExcludingVatCurrency: rt.Number;
        markup: rt.Number;
        discount: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        vatType: rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>;
        order: rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>;
        unitPriceIncludingVatCurrency: rt.Number;
        isSubscription: rt.Optional<rt.Union<[rt.Boolean, rt.Literal<null>]>>;
        subscriptionPeriodStart: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        subscriptionPeriodEnd: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
        orderGroup: rt.Optional<rt.Union<[rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>, rt.Literal<null>]>>;
        currency: rt.Optional<rt.Union<[rt.Record<{
            id: rt.Number;
        }, false>, rt.Literal<null>]>>;
        amountExcludingVatCurrency: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
        amountIncludingVatCurrency: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    }, false>, false>;
    isSubscription: rt.Boolean;
    subscriptionDuration: rt.Number;
    subscriptionDurationType: rt.Union<[rt.Literal<"MONTHS">, rt.Literal<"YEAR">]>;
    subscriptionPeriodsOnInvoice: rt.Number;
    subscriptionInvoicingTimeInAdvanceOrArrears: rt.Union<[rt.Literal<"ADVANCE">, rt.Literal<"ARREARS">]>;
    subscriptionInvoicingTime: rt.Number;
    subscriptionInvoicingTimeType: rt.Union<[rt.Literal<"DAYS">, rt.Literal<"MONTHS">]>;
    isSubscriptionAutoInvoicing: rt.Boolean;
}, false>;
export declare type Order = rt.Static<typeof orderRt>;
export declare const listOrderResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        number: string;
        id: number;
        version: number;
        overdueNoticeEmail: string;
        invoicesDueIn: number;
        invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
        isSubscription: boolean;
        receiverEmail: string;
        reference: string;
        orderDate: string;
        invoiceComment: string;
        isShowOpenPostsOnInvoices: boolean;
        isClosed: boolean;
        deliveryDate: string;
        deliveryComment: string;
        isPrioritizeAmountsIncludingVat: boolean;
        orderLineSorting: "ID" | "PRODUCT" | "CUSTOM";
        orderLines: {
            count: number;
            id: number;
            description: string;
            version: number;
            unitCostCurrency: number;
            unitPriceExcludingVatCurrency: number;
            markup: number;
            unitPriceIncludingVatCurrency: number;
            currency?: {
                id: number;
            } | null | undefined;
            product?: {
                id: number;
            } | null | undefined;
            discount?: number | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            order?: {
                id: number;
            } | null | undefined;
            isSubscription?: boolean | null | undefined;
            subscriptionPeriodStart?: string | null | undefined;
            subscriptionPeriodEnd?: string | null | undefined;
            orderGroup?: {
                id: number;
            } | null | undefined;
            amountExcludingVatCurrency?: number | null | undefined;
            amountIncludingVatCurrency?: number | null | undefined;
        }[];
        subscriptionDuration: number;
        subscriptionDurationType: "MONTHS" | "YEAR";
        subscriptionPeriodsOnInvoice: number;
        subscriptionInvoicingTimeInAdvanceOrArrears: "ADVANCE" | "ARREARS";
        subscriptionInvoicingTime: number;
        subscriptionInvoicingTimeType: "DAYS" | "MONTHS";
        isSubscriptionAutoInvoicing: boolean;
        deliveryAddress?: {
            id: number;
        } | null | undefined;
        currency?: {
            id: number;
        } | null | undefined;
        customer?: {
            id: number;
        } | null | undefined;
        contact?: {
            id: number;
        } | null | undefined;
        attn?: {
            id: number;
        } | null | undefined;
        ourContact?: {
            id: number;
        } | null | undefined;
        ourContactEmployee?: {
            id: number;
        } | null | undefined;
        department?: {
            id: number;
        } | null | undefined;
        project?: {
            id: number;
        } | null | undefined;
    }>, true>;
}, false, true>;
export declare const createOrderResponseRt: rt.InternalRecord<{
    value: rt.Runtype<{
        number: string;
        id: number;
        version: number;
        overdueNoticeEmail: string;
        invoicesDueIn: number;
        invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
        isSubscription: boolean;
        receiverEmail: string;
        reference: string;
        orderDate: string;
        invoiceComment: string;
        isShowOpenPostsOnInvoices: boolean;
        isClosed: boolean;
        deliveryDate: string;
        deliveryComment: string;
        isPrioritizeAmountsIncludingVat: boolean;
        orderLineSorting: "ID" | "PRODUCT" | "CUSTOM";
        orderLines: {
            count: number;
            id: number;
            description: string;
            version: number;
            unitCostCurrency: number;
            unitPriceExcludingVatCurrency: number;
            markup: number;
            unitPriceIncludingVatCurrency: number;
            currency?: {
                id: number;
            } | null | undefined;
            product?: {
                id: number;
            } | null | undefined;
            discount?: number | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            order?: {
                id: number;
            } | null | undefined;
            isSubscription?: boolean | null | undefined;
            subscriptionPeriodStart?: string | null | undefined;
            subscriptionPeriodEnd?: string | null | undefined;
            orderGroup?: {
                id: number;
            } | null | undefined;
            amountExcludingVatCurrency?: number | null | undefined;
            amountIncludingVatCurrency?: number | null | undefined;
        }[];
        subscriptionDuration: number;
        subscriptionDurationType: "MONTHS" | "YEAR";
        subscriptionPeriodsOnInvoice: number;
        subscriptionInvoicingTimeInAdvanceOrArrears: "ADVANCE" | "ARREARS";
        subscriptionInvoicingTime: number;
        subscriptionInvoicingTimeType: "DAYS" | "MONTHS";
        isSubscriptionAutoInvoicing: boolean;
        deliveryAddress?: {
            id: number;
        } | null | undefined;
        currency?: {
            id: number;
        } | null | undefined;
        customer?: {
            id: number;
        } | null | undefined;
        contact?: {
            id: number;
        } | null | undefined;
        attn?: {
            id: number;
        } | null | undefined;
        ourContact?: {
            id: number;
        } | null | undefined;
        ourContactEmployee?: {
            id: number;
        } | null | undefined;
        department?: {
            id: number;
        } | null | undefined;
        project?: {
            id: number;
        } | null | undefined;
    }>;
}, false, true>;
export {};
