"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOrderResponseRt = exports.listOrderResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const order_line_1 = require("./order-line");
const orderRt = rt.Record({
    id: rt.Number,
    version: rt.Number,
    customer: utils_1.resourceRef,
    contact: utils_1.resourceRef,
    attn: utils_1.resourceRef,
    receiverEmail: rt.String,
    overdueNoticeEmail: rt.String,
    number: rt.String,
    reference: rt.String,
    ourContact: utils_1.resourceRef,
    ourContactEmployee: utils_1.resourceRef,
    department: utils_1.resourceRef,
    orderDate: rt.String,
    project: utils_1.resourceRef,
    invoiceComment: rt.String,
    currency: utils_1.resourceRef,
    invoicesDueIn: rt.Number,
    invoicesDueInType: rt.Union(rt.Literal('DAYS'), rt.Literal('MONTHS'), rt.Literal('RECURRING_DAY_OF_MONTH')),
    isShowOpenPostsOnInvoices: rt.Boolean,
    isClosed: rt.Boolean,
    deliveryDate: rt.String,
    deliveryAddress: utils_1.resourceRef,
    deliveryComment: rt.String,
    isPrioritizeAmountsIncludingVat: rt.Boolean,
    orderLineSorting: rt.Union(rt.Literal('ID'), rt.Literal('PRODUCT'), rt.Literal('CUSTOM')),
    orderLines: rt.Array(order_line_1.orderLineRt),
    isSubscription: rt.Boolean,
    subscriptionDuration: rt.Number,
    subscriptionDurationType: rt.Union(rt.Literal('MONTHS'), rt.Literal('YEAR')),
    subscriptionPeriodsOnInvoice: rt.Number,
    subscriptionInvoicingTimeInAdvanceOrArrears: rt.Union(rt.Literal('ADVANCE'), rt.Literal('ARREARS')),
    subscriptionInvoicingTime: rt.Number,
    subscriptionInvoicingTimeType: rt.Union(rt.Literal('DAYS'), rt.Literal('MONTHS')),
    isSubscriptionAutoInvoicing: rt.Boolean,
});
exports.listOrderResponseRt = (0, utils_1.multipleValuesEnvelope)(orderRt);
exports.createOrderResponseRt = (0, utils_1.singleValueEnvelope)(orderRt);
