import { TripletexBase } from '../base';
import { CreateOrderInput, CreateOrderLineInput, ListOrdersInput } from './types';
export * from './types';
export * from './models/order';
export * from './models/order-line';
export declare class TripletexOrder extends TripletexBase {
    list(input?: ListOrdersInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            number: string;
            id: number;
            version: number;
            overdueNoticeEmail: string;
            invoicesDueIn: number;
            invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
            isSubscription: boolean;
            receiverEmail: string;
            reference: string;
            orderDate: string;
            invoiceComment: string;
            isShowOpenPostsOnInvoices: boolean;
            isClosed: boolean;
            deliveryDate: string;
            deliveryComment: string;
            isPrioritizeAmountsIncludingVat: boolean;
            orderLineSorting: "ID" | "PRODUCT" | "CUSTOM";
            orderLines: {
                count: number;
                id: number;
                description: string;
                version: number;
                unitCostCurrency: number;
                unitPriceExcludingVatCurrency: number;
                markup: number;
                unitPriceIncludingVatCurrency: number;
                currency?: {
                    id: number;
                } | null | undefined;
                product?: {
                    id: number;
                } | null | undefined;
                discount?: number | null | undefined;
                vatType?: {
                    id: number;
                } | null | undefined;
                order?: {
                    id: number;
                } | null | undefined;
                isSubscription?: boolean | null | undefined;
                subscriptionPeriodStart?: string | null | undefined;
                subscriptionPeriodEnd?: string | null | undefined;
                orderGroup?: {
                    id: number;
                } | null | undefined;
                amountExcludingVatCurrency?: number | null | undefined;
                amountIncludingVatCurrency?: number | null | undefined;
            }[];
            subscriptionDuration: number;
            subscriptionDurationType: "MONTHS" | "YEAR";
            subscriptionPeriodsOnInvoice: number;
            subscriptionInvoicingTimeInAdvanceOrArrears: "ADVANCE" | "ARREARS";
            subscriptionInvoicingTime: number;
            subscriptionInvoicingTimeType: "DAYS" | "MONTHS";
            isSubscriptionAutoInvoicing: boolean;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            customer?: {
                id: number;
            } | null | undefined;
            contact?: {
                id: number;
            } | null | undefined;
            attn?: {
                id: number;
            } | null | undefined;
            ourContact?: {
                id: number;
            } | null | undefined;
            ourContactEmployee?: {
                id: number;
            } | null | undefined;
            department?: {
                id: number;
            } | null | undefined;
            project?: {
                id: number;
            } | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    create(input: CreateOrderInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            number: string;
            id: number;
            version: number;
            overdueNoticeEmail: string;
            invoicesDueIn: number;
            invoicesDueInType: "DAYS" | "MONTHS" | "RECURRING_DAY_OF_MONTH";
            isSubscription: boolean;
            receiverEmail: string;
            reference: string;
            orderDate: string;
            invoiceComment: string;
            isShowOpenPostsOnInvoices: boolean;
            isClosed: boolean;
            deliveryDate: string;
            deliveryComment: string;
            isPrioritizeAmountsIncludingVat: boolean;
            orderLineSorting: "ID" | "PRODUCT" | "CUSTOM";
            orderLines: {
                count: number;
                id: number;
                description: string;
                version: number;
                unitCostCurrency: number;
                unitPriceExcludingVatCurrency: number;
                markup: number;
                unitPriceIncludingVatCurrency: number;
                currency?: {
                    id: number;
                } | null | undefined;
                product?: {
                    id: number;
                } | null | undefined;
                discount?: number | null | undefined;
                vatType?: {
                    id: number;
                } | null | undefined;
                order?: {
                    id: number;
                } | null | undefined;
                isSubscription?: boolean | null | undefined;
                subscriptionPeriodStart?: string | null | undefined;
                subscriptionPeriodEnd?: string | null | undefined;
                orderGroup?: {
                    id: number;
                } | null | undefined;
                amountExcludingVatCurrency?: number | null | undefined;
                amountIncludingVatCurrency?: number | null | undefined;
            }[];
            subscriptionDuration: number;
            subscriptionDurationType: "MONTHS" | "YEAR";
            subscriptionPeriodsOnInvoice: number;
            subscriptionInvoicingTimeInAdvanceOrArrears: "ADVANCE" | "ARREARS";
            subscriptionInvoicingTime: number;
            subscriptionInvoicingTimeType: "DAYS" | "MONTHS";
            isSubscriptionAutoInvoicing: boolean;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            customer?: {
                id: number;
            } | null | undefined;
            contact?: {
                id: number;
            } | null | undefined;
            attn?: {
                id: number;
            } | null | undefined;
            ourContact?: {
                id: number;
            } | null | undefined;
            ourContactEmployee?: {
                id: number;
            } | null | undefined;
            department?: {
                id: number;
            } | null | undefined;
            project?: {
                id: number;
            } | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    createOrderLine(input: CreateOrderLineInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            count: number;
            id: number;
            description: string;
            version: number;
            unitCostCurrency: number;
            unitPriceExcludingVatCurrency: number;
            markup: number;
            unitPriceIncludingVatCurrency: number;
            currency?: {
                id: number;
            } | null | undefined;
            product?: {
                id: number;
            } | null | undefined;
            discount?: number | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            order?: {
                id: number;
            } | null | undefined;
            isSubscription?: boolean | null | undefined;
            subscriptionPeriodStart?: string | null | undefined;
            subscriptionPeriodEnd?: string | null | undefined;
            orderGroup?: {
                id: number;
            } | null | undefined;
            amountExcludingVatCurrency?: number | null | undefined;
            amountIncludingVatCurrency?: number | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    createOrderLines(input: CreateOrderLineInput[]): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            count: number;
            id: number;
            description: string;
            version: number;
            unitCostCurrency: number;
            unitPriceExcludingVatCurrency: number;
            markup: number;
            unitPriceIncludingVatCurrency: number;
            currency?: {
                id: number;
            } | null | undefined;
            product?: {
                id: number;
            } | null | undefined;
            discount?: number | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            order?: {
                id: number;
            } | null | undefined;
            isSubscription?: boolean | null | undefined;
            subscriptionPeriodStart?: string | null | undefined;
            subscriptionPeriodEnd?: string | null | undefined;
            orderGroup?: {
                id: number;
            } | null | undefined;
            amountExcludingVatCurrency?: number | null | undefined;
            amountIncludingVatCurrency?: number | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
