"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexOrder = void 0;
const utils_1 = require("../../utils");
const base_1 = require("../base");
const order_1 = require("./models/order");
const order_line_1 = require("./models/order-line");
const serializers_1 = require("./serializers");
__exportStar(require("./types"), exports);
__exportStar(require("./models/order"), exports);
__exportStar(require("./models/order-line"), exports);
class TripletexOrder extends base_1.TripletexBase {
    list(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/order')
            .query(args => (args.input ? (0, utils_1.serializeQuery)(args.input) : {}))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(order_1.listOrderResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    create(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/order')
            .body(({ input }) => {
            return (0, serializers_1.makeOrderInput)(input);
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(order_1.createOrderResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    createOrderLine(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/order/orderline')
            .body(({ input }) => {
            return (0, serializers_1.makeOrderLineInput)(input);
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(order_line_1.createOrderLineResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    createOrderLines(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/order/orderline/list')
            .body(({ input }) => {
            return input.map(orderLine => (0, serializers_1.makeOrderLineInput)(orderLine));
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(order_line_1.createOrderLinesResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
}
exports.TripletexOrder = TripletexOrder;
