"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeOrderInput = exports.makeOrderLineInput = void 0;
const omit_empty_1 = __importDefault(require("omit-empty"));
const utils_1 = require("../../utils");
function makeOrderLineInput(input) {
    const { productId, orderId, inventoryId, inventoryLocationId, vatTypeId, ...orderLine } = input;
    return (0, omit_empty_1.default)({
        ...orderLine,
        product: {
            id: productId,
        },
        order: {
            id: orderId,
        },
        inventory: inventoryId && {
            id: inventoryId,
        },
        inventoryLocation: inventoryLocationId && {
            id: inventoryLocationId,
        },
        vatType: vatTypeId && {
            id: vatTypeId,
        },
    });
}
exports.makeOrderLineInput = makeOrderLineInput;
function makeOrderInput(input) {
    const { customerId, contactId, ourContactId, ourContactEmployeeId, projectId, departmentId, currencyId, deliveryAddressId, ...order } = input;
    return (0, omit_empty_1.default)({
        ...order,
        orderDate: order.orderDate && (0, utils_1.toString)(order.orderDate),
        deliveryDate: order.deliveryDate && (0, utils_1.toString)(order.deliveryDate),
        // subscriptionPeriodStart:
        //   order.subscriptionPeriodStart && toString(order.subscriptionPeriodStart),
        // subscriptionPeriodEnd:
        //   order.subscriptionPeriodEnd && toString(order.subscriptionPeriodEnd),
        customer: customerId && {
            id: customerId,
        },
        contact: contactId && {
            id: contactId,
        },
        ourContact: ourContactId && {
            id: ourContactId,
        },
        ourContactEmployee: ourContactEmployeeId && {
            id: ourContactEmployeeId,
        },
        project: projectId && {
            id: projectId,
        },
        department: departmentId && {
            id: departmentId,
        },
        currency: currencyId && {
            id: currencyId,
        },
        deliveryAddress: deliveryAddressId && {
            id: deliveryAddressId,
        },
    });
}
exports.makeOrderInput = makeOrderInput;
