import * as rt from 'runtypes';
declare const projectRt: rt.Record<{
    id: rt.Number;
    version: rt.Optional<rt.Union<[rt.Number, rt.Literal<null>]>>;
    name: rt.String;
    displayName: rt.String;
    number: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    description: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    projectManager: rt.Record<{
        id: rt.Number;
    }, false>;
    department: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    mainProject: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    startDate: rt.String;
    endDate: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    customer: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    isClosed: rt.Boolean;
    isReadyForInvoicing: rt.Boolean;
    isInternal: rt.Boolean;
    isFixedPrice: rt.Boolean;
    projectCategory: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    deliveryAddress: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    displayNameFormat: rt.Union<[rt.Literal<"NAME_STANDARD">, rt.Literal<"NAME_INCL_CUSTOMER_NAME">, rt.Literal<"NAME_INCL_PARENT_NAME">, rt.Literal<"NAME_INCL_PARENT_NUMBER">, rt.Literal<"NAME_INCL_PARENT_NAME_AND_NUMBER">]>;
    reference: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    externalAccountsNumber: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    vatType: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    fixedprice: rt.Number;
    currency: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    markUpOrderLines: rt.Number;
    markUpFeesEarned: rt.Number;
    isPriceCeiling: rt.Boolean;
    priceCeilingAmount: rt.Number;
    projectHourlyRates: rt.Array<rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>, false>;
    forParticipantsOnly: rt.Boolean;
    participants: rt.Array<rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>, false>;
    contact: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    attention: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    invoiceComment: rt.String;
    generalProjectActivitiesPerProjectOnly: rt.Boolean;
    projectActivities: rt.Optional<rt.Union<[rt.Array<rt.Record<{
        id: rt.Number;
    }, false>, false>, rt.Literal<null>]>>;
}, false>;
export declare type Project = rt.Static<typeof projectRt>;
export declare const listProjectResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        name: string;
        displayName: string;
        invoiceComment: string;
        isClosed: boolean;
        projectManager: {
            id: number;
        };
        startDate: string;
        isReadyForInvoicing: boolean;
        isInternal: boolean;
        isFixedPrice: boolean;
        displayNameFormat: "NAME_STANDARD" | "NAME_INCL_CUSTOMER_NAME" | "NAME_INCL_PARENT_NAME" | "NAME_INCL_PARENT_NUMBER" | "NAME_INCL_PARENT_NAME_AND_NUMBER";
        fixedprice: number;
        markUpOrderLines: number;
        markUpFeesEarned: number;
        isPriceCeiling: boolean;
        priceCeilingAmount: number;
        projectHourlyRates: ({
            id: number;
        } | null | undefined)[];
        forParticipantsOnly: boolean;
        participants: ({
            id: number;
        } | null | undefined)[];
        generalProjectActivitiesPerProjectOnly: boolean;
        number?: string | null | undefined;
        description?: string | null | undefined;
        version?: number | null | undefined;
        deliveryAddress?: {
            id: number;
        } | null | undefined;
        currency?: {
            id: number;
        } | null | undefined;
        vatType?: {
            id: number;
        } | null | undefined;
        customer?: {
            id: number;
        } | null | undefined;
        contact?: {
            id: number;
        } | null | undefined;
        reference?: string | null | undefined;
        department?: {
            id: number;
        } | null | undefined;
        mainProject?: {
            id: number;
        } | null | undefined;
        endDate?: string | null | undefined;
        projectCategory?: {
            id: number;
        } | null | undefined;
        externalAccountsNumber?: string | null | undefined;
        attention?: {
            id: number;
        } | null | undefined;
        projectActivities?: {
            id: number;
        }[] | null | undefined;
    }>, true>;
}, false, true>;
export declare const createProjectResponseRt: rt.InternalRecord<{
    value: rt.Runtype<{
        id: number;
        name: string;
        displayName: string;
        invoiceComment: string;
        isClosed: boolean;
        projectManager: {
            id: number;
        };
        startDate: string;
        isReadyForInvoicing: boolean;
        isInternal: boolean;
        isFixedPrice: boolean;
        displayNameFormat: "NAME_STANDARD" | "NAME_INCL_CUSTOMER_NAME" | "NAME_INCL_PARENT_NAME" | "NAME_INCL_PARENT_NUMBER" | "NAME_INCL_PARENT_NAME_AND_NUMBER";
        fixedprice: number;
        markUpOrderLines: number;
        markUpFeesEarned: number;
        isPriceCeiling: boolean;
        priceCeilingAmount: number;
        projectHourlyRates: ({
            id: number;
        } | null | undefined)[];
        forParticipantsOnly: boolean;
        participants: ({
            id: number;
        } | null | undefined)[];
        generalProjectActivitiesPerProjectOnly: boolean;
        number?: string | null | undefined;
        description?: string | null | undefined;
        version?: number | null | undefined;
        deliveryAddress?: {
            id: number;
        } | null | undefined;
        currency?: {
            id: number;
        } | null | undefined;
        vatType?: {
            id: number;
        } | null | undefined;
        customer?: {
            id: number;
        } | null | undefined;
        contact?: {
            id: number;
        } | null | undefined;
        reference?: string | null | undefined;
        department?: {
            id: number;
        } | null | undefined;
        mainProject?: {
            id: number;
        } | null | undefined;
        endDate?: string | null | undefined;
        projectCategory?: {
            id: number;
        } | null | undefined;
        externalAccountsNumber?: string | null | undefined;
        attention?: {
            id: number;
        } | null | undefined;
        projectActivities?: {
            id: number;
        }[] | null | undefined;
    }>;
}, false, true>;
export {};
