"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProjectResponseRt = exports.listProjectResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const projectRt = rt.Record({
    id: rt.Number,
    version: rt.Number.nullable().optional(),
    name: rt.String,
    displayName: rt.String,
    number: rt.String.nullable().optional(),
    description: rt.String.nullable().optional(),
    projectManager: rt.Record({
        id: rt.Number,
    }),
    department: rt
        .Record({
        id: rt.Number,
    })
        .nullable()
        .optional(),
    mainProject: rt
        .Record({
        id: rt.Number,
    })
        .nullable()
        .optional(),
    startDate: rt.String,
    endDate: rt.String.nullable().optional(),
    customer: utils_1.resourceRef,
    isClosed: rt.Boolean,
    isReadyForInvoicing: rt.Boolean,
    isInternal: rt.Boolean,
    isFixedPrice: rt.Boolean,
    projectCategory: utils_1.resourceRef,
    deliveryAddress: utils_1.resourceRef,
    displayNameFormat: rt.Union(rt.Literal('NAME_STANDARD'), rt.Literal('NAME_INCL_CUSTOMER_NAME'), rt.Literal('NAME_INCL_PARENT_NAME'), rt.Literal('NAME_INCL_PARENT_NUMBER'), rt.Literal('NAME_INCL_PARENT_NAME_AND_NUMBER')),
    reference: rt.String.nullable().optional(),
    externalAccountsNumber: rt.String.nullable().optional(),
    vatType: utils_1.resourceRef,
    fixedprice: rt.Number,
    currency: utils_1.resourceRef,
    markUpOrderLines: rt.Number,
    markUpFeesEarned: rt.Number,
    isPriceCeiling: rt.Boolean,
    priceCeilingAmount: rt.Number,
    projectHourlyRates: rt.Array(utils_1.resourceRef),
    forParticipantsOnly: rt.Boolean,
    participants: rt.Array(utils_1.resourceRef),
    contact: utils_1.resourceRef,
    attention: utils_1.resourceRef,
    invoiceComment: rt.String,
    generalProjectActivitiesPerProjectOnly: rt.Boolean,
    projectActivities: rt
        .Array(rt.Record({
        id: rt.Number,
    }))
        .nullable()
        .optional(),
});
exports.listProjectResponseRt = (0, utils_1.multipleValuesEnvelope)(projectRt);
exports.createProjectResponseRt = (0, utils_1.singleValueEnvelope)(projectRt);
