import { TripletexBase } from '../base';
import { CreateProjectInput, ListProjectsInput, UpdateProjectInput } from './types';
export * from './types';
export * from './models/project';
export declare class TripletexProject extends TripletexBase {
    list(input?: ListProjectsInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            name: string;
            displayName: string;
            invoiceComment: string;
            isClosed: boolean;
            projectManager: {
                id: number;
            };
            startDate: string;
            isReadyForInvoicing: boolean;
            isInternal: boolean;
            isFixedPrice: boolean;
            displayNameFormat: "NAME_STANDARD" | "NAME_INCL_CUSTOMER_NAME" | "NAME_INCL_PARENT_NAME" | "NAME_INCL_PARENT_NUMBER" | "NAME_INCL_PARENT_NAME_AND_NUMBER";
            fixedprice: number;
            markUpOrderLines: number;
            markUpFeesEarned: number;
            isPriceCeiling: boolean;
            priceCeilingAmount: number;
            projectHourlyRates: ({
                id: number;
            } | null | undefined)[];
            forParticipantsOnly: boolean;
            participants: ({
                id: number;
            } | null | undefined)[];
            generalProjectActivitiesPerProjectOnly: boolean;
            number?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            customer?: {
                id: number;
            } | null | undefined;
            contact?: {
                id: number;
            } | null | undefined;
            reference?: string | null | undefined;
            department?: {
                id: number;
            } | null | undefined;
            mainProject?: {
                id: number;
            } | null | undefined;
            endDate?: string | null | undefined;
            projectCategory?: {
                id: number;
            } | null | undefined;
            externalAccountsNumber?: string | null | undefined;
            attention?: {
                id: number;
            } | null | undefined;
            projectActivities?: {
                id: number;
            }[] | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    create(input: CreateProjectInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            id: number;
            name: string;
            displayName: string;
            invoiceComment: string;
            isClosed: boolean;
            projectManager: {
                id: number;
            };
            startDate: string;
            isReadyForInvoicing: boolean;
            isInternal: boolean;
            isFixedPrice: boolean;
            displayNameFormat: "NAME_STANDARD" | "NAME_INCL_CUSTOMER_NAME" | "NAME_INCL_PARENT_NAME" | "NAME_INCL_PARENT_NUMBER" | "NAME_INCL_PARENT_NAME_AND_NUMBER";
            fixedprice: number;
            markUpOrderLines: number;
            markUpFeesEarned: number;
            isPriceCeiling: boolean;
            priceCeilingAmount: number;
            projectHourlyRates: ({
                id: number;
            } | null | undefined)[];
            forParticipantsOnly: boolean;
            participants: ({
                id: number;
            } | null | undefined)[];
            generalProjectActivitiesPerProjectOnly: boolean;
            number?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            customer?: {
                id: number;
            } | null | undefined;
            contact?: {
                id: number;
            } | null | undefined;
            reference?: string | null | undefined;
            department?: {
                id: number;
            } | null | undefined;
            mainProject?: {
                id: number;
            } | null | undefined;
            endDate?: string | null | undefined;
            projectCategory?: {
                id: number;
            } | null | undefined;
            externalAccountsNumber?: string | null | undefined;
            attention?: {
                id: number;
            } | null | undefined;
            projectActivities?: {
                id: number;
            }[] | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    update(id: number, input: UpdateProjectInput): Promise<import("typical-fetch").CallReturn<{
        readonly value: {
            id: number;
            name: string;
            displayName: string;
            invoiceComment: string;
            isClosed: boolean;
            projectManager: {
                id: number;
            };
            startDate: string;
            isReadyForInvoicing: boolean;
            isInternal: boolean;
            isFixedPrice: boolean;
            displayNameFormat: "NAME_STANDARD" | "NAME_INCL_CUSTOMER_NAME" | "NAME_INCL_PARENT_NAME" | "NAME_INCL_PARENT_NUMBER" | "NAME_INCL_PARENT_NAME_AND_NUMBER";
            fixedprice: number;
            markUpOrderLines: number;
            markUpFeesEarned: number;
            isPriceCeiling: boolean;
            priceCeilingAmount: number;
            projectHourlyRates: ({
                id: number;
            } | null | undefined)[];
            forParticipantsOnly: boolean;
            participants: ({
                id: number;
            } | null | undefined)[];
            generalProjectActivitiesPerProjectOnly: boolean;
            number?: string | null | undefined;
            description?: string | null | undefined;
            version?: number | null | undefined;
            deliveryAddress?: {
                id: number;
            } | null | undefined;
            currency?: {
                id: number;
            } | null | undefined;
            vatType?: {
                id: number;
            } | null | undefined;
            customer?: {
                id: number;
            } | null | undefined;
            contact?: {
                id: number;
            } | null | undefined;
            reference?: string | null | undefined;
            department?: {
                id: number;
            } | null | undefined;
            mainProject?: {
                id: number;
            } | null | undefined;
            endDate?: string | null | undefined;
            projectCategory?: {
                id: number;
            } | null | undefined;
            externalAccountsNumber?: string | null | undefined;
            attention?: {
                id: number;
            } | null | undefined;
            projectActivities?: {
                id: number;
            }[] | null | undefined;
        };
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
