"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexProject = void 0;
const omit_empty_1 = __importDefault(require("omit-empty"));
const utils_1 = require("../../utils");
const base_1 = require("../base");
const project_1 = require("./models/project");
__exportStar(require("./types"), exports);
__exportStar(require("./models/project"), exports);
class TripletexProject extends base_1.TripletexBase {
    list(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/project')
            .query(args => (args.input ? (0, utils_1.serializeQuery)(args.input) : {}))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(project_1.listProjectResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    create(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/project')
            .body(({ input }) => {
            const { projectManagerId, departmentId, mainProjectId, customerId, projectCategoryId, ...project } = input;
            return (0, omit_empty_1.default)({
                ...project,
                startDate: project.startDate && (0, utils_1.toString)(project.startDate),
                endDate: project.endDate && (0, utils_1.toString)(project.endDate),
                projectManager: projectManagerId && {
                    id: projectManagerId,
                },
                department: departmentId && {
                    id: departmentId,
                },
                mainProject: mainProjectId && {
                    id: mainProjectId,
                },
                customer: customerId && {
                    id: customerId,
                },
                projectCategory: projectCategoryId && {
                    id: projectCategoryId,
                },
            });
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(project_1.createProjectResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    update(id, input) {
        const call = this.authenticatedCall() //
            .args()
            .path(({ id }) => `/v2/project/${id}`)
            .body(({ input }) => {
            const { projectManagerId, departmentId, mainProjectId, customerId, projectCategoryId, ...project } = input;
            return (0, omit_empty_1.default)({
                ...project,
                startDate: project.startDate && (0, utils_1.toString)(project.startDate),
                endDate: project.endDate && (0, utils_1.toString)(project.endDate),
                projectManager: projectManagerId && {
                    id: projectManagerId,
                },
                department: departmentId && {
                    id: departmentId,
                },
                mainProject: mainProjectId && {
                    id: mainProjectId,
                },
                customer: customerId && {
                    id: customerId,
                },
                projectCategory: projectCategoryId && {
                    id: projectCategoryId,
                },
            });
        })
            .method('put')
            .parseJson((0, utils_1.withRuntype)(project_1.createProjectResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ id, input, sessionToken }));
    }
}
exports.TripletexProject = TripletexProject;
