import * as rt from 'runtypes';
declare const timesheetMonthRt: rt.Record<{
    id: rt.Number;
    version: rt.Number;
    hoursPayout: rt.Number;
    vacationPayout: rt.Number;
    employee: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    timesheetEntries: rt.Array<rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>, false>;
    approvedDate: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    completed: rt.Boolean;
    approvedBy: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    approved: rt.Boolean;
    approvedUntilDate: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    monthYear: rt.String;
    hourSummary: rt.Optional<rt.Union<[rt.Record<{
        sumHours: rt.Number;
        hoursWithPay: rt.Number;
        hourlyWageHoursWithPay: rt.Number;
        standardTime: rt.Number;
        nonChargeableHours: rt.Number;
        chargeableHours: rt.Number;
        nonChargeableHoursWithPay: rt.Number;
        budgetChargeableHours: rt.Number;
    }, false>, rt.Literal<null>]>>;
    flexSummary: rt.Optional<rt.Union<[rt.Record<{
        incomingHourBalance: rt.Number;
        outgoingHourBalance: rt.Number;
        change: rt.Number;
    }, false>, rt.Literal<null>]>>;
    vacationSummary: rt.Optional<rt.Union<[rt.Record<{
        incomingVacationBalance: rt.Number;
        outgoingVacationBalance: rt.Number;
        vacationTakenInPeriod: rt.Number;
        vacationTakenThisYear: rt.Number;
    }, false>, rt.Literal<null>]>>;
}, false>;
export declare type TimesheetMonth = rt.Static<typeof timesheetMonthRt>;
export declare const getTimesheetMonthResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        version: number;
        hoursPayout: number;
        vacationPayout: number;
        timesheetEntries: ({
            id: number;
        } | null | undefined)[];
        completed: boolean;
        approved: boolean;
        monthYear: string;
        employee?: {
            id: number;
        } | null | undefined;
        approvedDate?: string | null | undefined;
        approvedBy?: {
            id: number;
        } | null | undefined;
        approvedUntilDate?: string | null | undefined;
        hourSummary?: {
            chargeableHours: number;
            sumHours: number;
            hoursWithPay: number;
            hourlyWageHoursWithPay: number;
            standardTime: number;
            nonChargeableHours: number;
            nonChargeableHoursWithPay: number;
            budgetChargeableHours: number;
        } | null | undefined;
        flexSummary?: {
            incomingHourBalance: number;
            outgoingHourBalance: number;
            change: number;
        } | null | undefined;
        vacationSummary?: {
            incomingVacationBalance: number;
            outgoingVacationBalance: number;
            vacationTakenInPeriod: number;
            vacationTakenThisYear: number;
        } | null | undefined;
    }>, true>;
}, false, true>;
export {};
