"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTimesheetMonthResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const timesheetMonthRt = rt.Record({
    id: rt.Number,
    version: rt.Number,
    hoursPayout: rt.Number,
    vacationPayout: rt.Number,
    employee: utils_1.resourceRef,
    timesheetEntries: rt.Array(utils_1.resourceRef),
    approvedDate: rt.String.nullable().optional(),
    completed: rt.Boolean,
    approvedBy: utils_1.resourceRef,
    approved: rt.Boolean,
    approvedUntilDate: rt.String.nullable().optional(),
    monthYear: rt.String,
    hourSummary: rt
        .Record({
        sumHours: rt.Number,
        hoursWithPay: rt.Number,
        hourlyWageHoursWithPay: rt.Number,
        standardTime: rt.Number,
        nonChargeableHours: rt.Number,
        chargeableHours: rt.Number,
        nonChargeableHoursWithPay: rt.Number,
        budgetChargeableHours: rt.Number,
    })
        .nullable()
        .optional(),
    flexSummary: rt
        .Record({
        incomingHourBalance: rt.Number,
        outgoingHourBalance: rt.Number,
        change: rt.Number,
    })
        .nullable()
        .optional(),
    vacationSummary: rt
        .Record({
        incomingVacationBalance: rt.Number,
        outgoingVacationBalance: rt.Number,
        vacationTakenInPeriod: rt.Number,
        vacationTakenThisYear: rt.Number,
    })
        .nullable()
        .optional(),
});
exports.getTimesheetMonthResponseRt = (0, utils_1.multipleValuesEnvelope)(timesheetMonthRt);
