import * as rt from 'runtypes';
declare const timesheetRt: rt.Record<{
    id: rt.Number;
    version: rt.Number;
    project: rt.Optional<rt.Union<[rt.Record<{
        id: rt.Number;
    }, false>, rt.Literal<null>]>>;
    activity: rt.Record<{
        id: rt.Number;
    }, false>;
    /**
     * TODO: Change to Date when Transform is landed, read more: https://github.com/pelotom/runtypes/pull/191
     */
    date: rt.String;
    hours: rt.Number;
    chargeableHours: rt.Optional<rt.Number>;
    employee: rt.Record<{
        id: rt.Number;
    }, false>;
    comment: rt.Optional<rt.String>;
    locked: rt.Boolean;
    chargeable: rt.Optional<rt.Boolean>;
    hourlyRate: rt.Number;
    hourlyCost: rt.Number;
    hourlyCostPercentage: rt.Number;
}, false>;
export declare type Timesheet = rt.Static<typeof timesheetRt>;
export declare const listTimesheetResponseRt: rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<{
        id: number;
        version: number;
        activity: {
            id: number;
        };
        date: string;
        hours: number;
        employee: {
            id: number;
        };
        locked: boolean;
        hourlyRate: number;
        hourlyCost: number;
        hourlyCostPercentage: number;
        project?: {
            id: number;
        } | null | undefined;
        chargeableHours?: number | undefined;
        comment?: string | undefined;
        chargeable?: boolean | undefined;
    }>, true>;
}, false, true>;
export {};
