import { TripletexBase } from '../base';
import { GetMonthByMonthNumberInput, ListTimesheetEntriesInput, TimesheetEntryInput, UpdateTimesheetEntryInput } from './types';
export * from './types';
export * from './models/timesheet';
export * from './models/timesheet-month';
export declare class TripletexTimesheet extends TripletexBase {
    listEntries(input: ListTimesheetEntriesInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            version: number;
            activity: {
                id: number;
            };
            date: string;
            hours: number;
            employee: {
                id: number;
            };
            locked: boolean;
            hourlyRate: number;
            hourlyCost: number;
            hourlyCostPercentage: number;
            project?: {
                id: number;
            } | null | undefined;
            chargeableHours?: number | undefined;
            comment?: string | undefined;
            chargeable?: boolean | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    updateEntries(entries: UpdateTimesheetEntryInput[]): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            version: number;
            activity: {
                id: number;
            };
            date: string;
            hours: number;
            employee: {
                id: number;
            };
            locked: boolean;
            hourlyRate: number;
            hourlyCost: number;
            hourlyCostPercentage: number;
            project?: {
                id: number;
            } | null | undefined;
            chargeableHours?: number | undefined;
            comment?: string | undefined;
            chargeable?: boolean | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    addEntries(entries: TimesheetEntryInput[]): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            version: number;
            activity: {
                id: number;
            };
            date: string;
            hours: number;
            employee: {
                id: number;
            };
            locked: boolean;
            hourlyRate: number;
            hourlyCost: number;
            hourlyCostPercentage: number;
            project?: {
                id: number;
            } | null | undefined;
            chargeableHours?: number | undefined;
            comment?: string | undefined;
            chargeable?: boolean | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
    getMonthByMonthNumber(input: GetMonthByMonthNumberInput): Promise<import("typical-fetch").CallReturn<{
        readonly from: number;
        readonly count: number;
        readonly values: readonly {
            id: number;
            version: number;
            hoursPayout: number;
            vacationPayout: number;
            timesheetEntries: ({
                id: number;
            } | null | undefined)[];
            completed: boolean;
            approved: boolean;
            monthYear: string;
            employee?: {
                id: number;
            } | null | undefined;
            approvedDate?: string | null | undefined;
            approvedBy?: {
                id: number;
            } | null | undefined;
            approvedUntilDate?: string | null | undefined;
            hourSummary?: {
                chargeableHours: number;
                sumHours: number;
                hoursWithPay: number;
                hourlyWageHoursWithPay: number;
                standardTime: number;
                nonChargeableHours: number;
                nonChargeableHoursWithPay: number;
                budgetChargeableHours: number;
            } | null | undefined;
            flexSummary?: {
                incomingHourBalance: number;
                outgoingHourBalance: number;
                change: number;
            } | null | undefined;
            vacationSummary?: {
                incomingVacationBalance: number;
                outgoingVacationBalance: number;
                vacationTakenInPeriod: number;
                vacationTakenThisYear: number;
            } | null | undefined;
        }[];
        readonly versionDigest?: string | null | undefined;
    }, import("typical-fetch").TypicalWrappedError | import("typical-fetch").TypicalHttpError>>;
}
