"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexTimesheet = void 0;
const omit_empty_1 = __importDefault(require("omit-empty"));
const utils_1 = require("../../utils");
const base_1 = require("../base");
const timesheet_1 = require("./models/timesheet");
const timesheet_month_1 = require("./models/timesheet-month");
__exportStar(require("./types"), exports);
__exportStar(require("./models/timesheet"), exports);
__exportStar(require("./models/timesheet-month"), exports);
class TripletexTimesheet extends base_1.TripletexBase {
    listEntries(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/timesheet/entry')
            .query(args => (0, utils_1.serializeQuery)(args.input))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(timesheet_1.listTimesheetResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
    updateEntries(entries) {
        const call = this.authenticatedCall() //
            .path('/v2/timesheet/entry/list')
            .body(() => {
            return entries.map(input => {
                const entry = {
                    id: input.id,
                    employee: {
                        id: input.employeeId,
                    },
                    activity: {
                        id: input.activityId,
                    },
                    date: (0, utils_1.formatDate)(input.date),
                    hours: input.hours,
                    comment: input.comment,
                };
                if (input.projectId) {
                    entry.project = {
                        id: input.projectId,
                    };
                }
                return (0, omit_empty_1.default)(entry);
            });
        })
            .method('put')
            .parseJson((0, utils_1.withRuntype)(timesheet_1.listTimesheetResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ sessionToken }));
    }
    addEntries(entries) {
        const call = this.authenticatedCall() //
            .path('/v2/timesheet/entry/list')
            .body(() => {
            return entries.map(input => {
                const entry = {
                    employee: {
                        id: input.employeeId,
                    },
                    activity: {
                        id: input.activityId,
                    },
                    date: (0, utils_1.formatDate)(input.date),
                    hours: input.hours,
                    comment: input.comment,
                };
                if (input.projectId) {
                    entry.project = {
                        id: input.projectId,
                    };
                }
                return (0, omit_empty_1.default)(entry);
            });
        })
            .method('post')
            .parseJson((0, utils_1.withRuntype)(timesheet_1.listTimesheetResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ sessionToken }));
    }
    getMonthByMonthNumber(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/timesheet/month/byMonthNumber')
            .query(({ input: { monthYear, ...q } }) => ({
            ...(0, utils_1.serializeQuery)(q),
            monthYear: (0, utils_1.formatMonthYear)(monthYear),
        }))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(timesheet_month_1.getTimesheetMonthResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
}
exports.TripletexTimesheet = TripletexTimesheet;
