import { TripletexActivity } from './calls/activity/activity';
import { TripletexCustomer } from './calls/customer/customer';
import { TripletexEmployee } from './calls/employee/employee';
import { TripletexEvent } from './calls/event/event';
import { TripletexOrder } from './calls/order/order';
import { TripletexProject } from './calls/project/project';
import { TripletexTimesheet } from './calls/timesheet/timesheet';
import { TripletexToken } from './calls/token/token';
import { TripletexClientConfig } from './types';
export * from './calls/activity/activity';
export * from './calls/customer/customer';
export * from './calls/employee/employee';
export * from './calls/event/event';
export * from './calls/order/order';
export * from './calls/project/project';
export * from './calls/timesheet/timesheet';
export * from './calls/token/token';
/**
 * Tripletex Client
 *
 */
export declare class TripletexClient {
    private readonly config;
    constructor(config: TripletexClientConfig);
    activity(): TripletexActivity;
    customer(): TripletexCustomer;
    employee(): TripletexEmployee;
    event(): TripletexEvent;
    order(): TripletexOrder;
    project(): TripletexProject;
    timesheet(): TripletexTimesheet;
    token(): TripletexToken;
}
