"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexClient = void 0;
const activity_1 = require("./calls/activity/activity");
const customer_1 = require("./calls/customer/customer");
const employee_1 = require("./calls/employee/employee");
const event_1 = require("./calls/event/event");
const order_1 = require("./calls/order/order");
const project_1 = require("./calls/project/project");
const timesheet_1 = require("./calls/timesheet/timesheet");
const token_1 = require("./calls/token/token");
__exportStar(require("./calls/activity/activity"), exports);
__exportStar(require("./calls/customer/customer"), exports);
__exportStar(require("./calls/employee/employee"), exports);
__exportStar(require("./calls/event/event"), exports);
// export * from './calls/ledger-account/ledger-account';
__exportStar(require("./calls/order/order"), exports);
__exportStar(require("./calls/project/project"), exports);
__exportStar(require("./calls/timesheet/timesheet"), exports);
__exportStar(require("./calls/token/token"), exports);
/**
 * Tripletex Client
 *
 */
class TripletexClient {
    constructor(config) {
        this.config = config;
    }
    activity() {
        return new activity_1.TripletexActivity(this.config);
    }
    customer() {
        return new customer_1.TripletexCustomer(this.config);
    }
    employee() {
        return new employee_1.TripletexEmployee(this.config);
    }
    event() {
        return new event_1.TripletexEvent(this.config);
    }
    order() {
        return new order_1.TripletexOrder(this.config);
    }
    project() {
        return new project_1.TripletexProject(this.config);
    }
    timesheet() {
        return new timesheet_1.TripletexTimesheet(this.config);
    }
    token() {
        return new token_1.TripletexToken(this.config);
    }
}
exports.TripletexClient = TripletexClient;
