import * as rt from 'runtypes';
export declare const defaultBaseUrl = "https://tripletex.no/";
export declare function pickFromObject<T extends Record<string, unknown>, K extends keyof T>(subject: T, ...keys: K[]): Pick<T, K>;
export declare function withRuntype<T>(validator: rt.Runtype<T>): (data: unknown) => T;
export declare function multipleValuesEnvelope<T>(type: rt.Runtype<T>): rt.InternalRecord<{
    from: rt.Number;
    count: rt.Number;
    versionDigest: rt.Optional<rt.Union<[rt.String, rt.Literal<null>]>>;
    values: rt.Array<rt.Runtype<T>, true>;
}, false, true>;
export declare function singleValueEnvelope<T>(type: rt.Runtype<T>): rt.InternalRecord<{
    value: rt.Runtype<T>;
}, false, true>;
export declare function formatDate(d: Date | number): string;
export declare function formatMonthYear(d: Date | number): string;
export declare function toString(d: unknown): string | undefined;
export declare function serializeQuery<T extends Object>(query: T): Record<string, string>;
export declare function parseRuntypeValidationError(error: unknown): void;
export declare function isDate(input: any): input is Date;
export declare const resourceRef: rt.Optional<rt.Union<[rt.Record<{
    id: rt.Number;
}, false>, rt.Literal<null>]>>;
