"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resourceRef = exports.isDate = exports.parseRuntypeValidationError = exports.serializeQuery = exports.toString = exports.formatMonthYear = exports.formatDate = exports.singleValueEnvelope = exports.multipleValuesEnvelope = exports.withRuntype = exports.pickFromObject = exports.defaultBaseUrl = void 0;
const date_fns_1 = require("date-fns");
const rt = __importStar(require("runtypes"));
const typical_fetch_1 = require("typical-fetch");
exports.defaultBaseUrl = 'https://tripletex.no/';
function pickFromObject(subject, ...keys) {
    const pairs = keys
        .map(key => [key, subject[key]])
        .filter(([, val]) => val !== undefined)
        .map(([key, val]) => [key, val]);
    return Object.fromEntries(pairs);
}
exports.pickFromObject = pickFromObject;
function withRuntype(validator) {
    return data => {
        return validator.check(data);
    };
}
exports.withRuntype = withRuntype;
function multipleValuesEnvelope(type) {
    return rt
        .Record({
        from: rt.Number,
        count: rt.Number,
        versionDigest: rt.String.nullable().optional(),
        values: rt.Array(type).asReadonly(),
    })
        .asReadonly();
}
exports.multipleValuesEnvelope = multipleValuesEnvelope;
function singleValueEnvelope(type) {
    return rt
        .Record({
        value: type,
    })
        .asReadonly();
}
exports.singleValueEnvelope = singleValueEnvelope;
function formatDate(d) {
    return (0, date_fns_1.format)(d, 'yyyy-MM-dd');
}
exports.formatDate = formatDate;
function formatMonthYear(d) {
    return (0, date_fns_1.format)(d, 'yyyy-MM');
}
exports.formatMonthYear = formatMonthYear;
function toString(d) {
    if (!d) {
        return undefined;
    }
    if (d instanceof Date) {
        return formatDate(d);
    }
    if (Array.isArray(d)) {
        return d.map(value => toString(value)).join(',');
    }
    return String(d);
}
exports.toString = toString;
// eslint-disable-next-line @typescript-eslint/ban-types
function serializeQuery(query) {
    return Object.entries(query).reduce((q, [key, value]) => {
        const stringifiedValue = toString(value);
        if (key && stringifiedValue) {
            q[key] = stringifiedValue;
        }
        return q;
    }, {});
}
exports.serializeQuery = serializeQuery;
function parseRuntypeValidationError(error) {
    if (error instanceof rt.ValidationError) {
        throw new Error(JSON.stringify({
            details: error.details,
            name: error.name,
            code: error.code,
        }));
    }
    if (error instanceof typical_fetch_1.TypicalWrappedError) {
        if (error.wrappedError instanceof rt.ValidationError) {
            throw new Error(JSON.stringify({
                details: error.wrappedError.details,
                name: error.wrappedError.name,
                code: error.wrappedError.code,
            }));
        }
    }
}
exports.parseRuntypeValidationError = parseRuntypeValidationError;
function isDate(input) {
    const date = new Date(input);
    if (!(0, date_fns_1.isValid)(date)) {
        return false;
    }
    return true;
}
exports.isDate = isDate;
exports.resourceRef = rt
    .Record({
    id: rt.Number,
})
    .nullable()
    .optional();
